library(ggplot2)
library(dplyr)
library(tidyr)

#faili sisselugemine ja korrigeerimine
J112=read.csv("PT1-T1.1-J1.1.2.csv",header=TRUE, encoding ="UTF-8")
J112=na.omit(J112)
labels=sub("X","",names(J112))[2:5]
J112[4,1]="Ei ole rahul\n(Üldse ei ole rahul)"

#andmestiku formaadi muutmine ja uued veerunimed
J112=pivot_longer(J112,col=c("ETeU.2019","X01.02.2021","X05.06.2021","X01.02.2022"))
names(J112)=c("Vastus","Aeg","Osakaal")

#joonis
ggplot(J112)+
  geom_col(aes(x=Aeg,y=Osakaal,fill=Vastus))+ 
  scale_fill_manual(values=c("#FF3600","#982F1A","#6666CC","#1E272E"))+ #Et anda ette terve vektor värve, on vaja lisada eraldi funktsioon. Siin on vaja sätida "täidet" (filli), seega scale_fill_manual
  theme_minimal()+
  ylab("%") + 
  xlab("")+
  scale_x_discrete(labels=labels,limits=c("ETeU.2019","X01.02.2021","X05.06.2021","X01.02.2022"))+
  scale_y_continuous(breaks=c(20,40,60,80,100))+
  theme(legend.spacing.y = unit(2, 'cm'))+
  guides(fill = guide_legend(byrow = TRUE))+ 
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  theme(legend.title=element_blank())+
  theme(plot.margin=unit(c(0.5,4.5,0.5,0.5),"cm"))+
  theme(legend.position = "bottom")
 

